---
name: "web code"
description: >-
  This mode is used to edit HTML.
  It has commands that are used to insert frequently used tags.
  If you edit HTML often,
  you will want to add more commands to this mode.
alternates:
  - "webcode"
biases:
  - expression: '\bthe start list item\b'
    factor: 0.5
  - expression: '\ba start list item\b'
    factor: 0.5
initiallyActive: false
exclusive: false
commands:
  - name: "start heading"
    description: >-
      Types &lt;hN&gt;, where N is provided as an integer utterance argument.
    alternates:
      - "start hitting"
      - "star heading"
    functions:
      - name: "type"
        fixedArguments:
          - "<h"
      - name: "number"
        utteranceArguments: 1
      - name: "type"
        fixedArguments:
          - ">"
  - name: "finish heading"
    description: >-
      Types &lt;/hN&gt;, where N is provided as an integer utterance argument.
    alternates:
      - "finish hitting"
    functions:
      - name: "type"
        fixedArguments:
          - "</h"
      - name: "number"
        utteranceArguments: 1
      - name: "type"
        fixedArguments:
          - ">"
  - name: "insert break"
    description: >-
      Types &lt;br&gt;.
    functions:
      - name: "type"
        fixedArguments:
          - "<br>"
  - name: "insert non breaking space"
    description: >-
      Types &amp;nbsp;.
    functions:
      - name: "type"
        fixedArguments:
          - "&nbsp;"
  - name: "start code"
    description: >-
      Types &lt;code&gt;.
    alternates:
      - "star code"
    functions:
      - name: "type"
        fixedArguments:
          - "<code>"
  - name: "finish code"
    description: >-
      Types &lt;/code&gt;.
    functions:
      - name: "type"
        fixedArguments:
          - "</code>"
  - name: "start table"
    description: >-
      Types &lt;table&gt;.
    alternates:
      - "star table"
    functions:
      - name: "type"
        fixedArguments:
          - "<table>"
  - name: "finish table"
    description: >-
      Types &lt;/table&gt;.
    functions:
      - name: "type"
        fixedArguments:
          - "</table>"
  - name: "start table head"
    description: >-
      Types &lt;thead&gt;.
    alternates:
      - "star table head"
    functions:
      - name: "type"
        fixedArguments:
          - "<thead>"
  - name: "finish table head"
    description: >-
      Types &lt;/thead&gt;.
    functions:
      - name: "type"
        fixedArguments:
          - "</thead>"
  - name: "start table body"
    description: >-
      Types &lt;tbody&gt;.
    alternates:
      - "star table body"
    functions:
      - name: "type"
        fixedArguments:
          - "<tbody>"
  - name: "finish table body"
    description: >-
      Types &lt;/tbody&gt;.
    functions:
      - name: "type"
        fixedArguments:
          - "</tbody>"
  - name: "start table row"
    description: >-
      Types &lt;tr&gt;.
    alternates:
      - "star table row"
    functions:
      - name: "type"
        fixedArguments:
          - "<tr>"
  - name: "finish table row"
    description: >-
      Types &lt;/tr&gt;.
    functions:
      - name: "type"
        fixedArguments:
          - "</tr>"
  - name: "start table head cell"
    description: >-
      Types &lt;th&gt;.
    alternates:
      - "start table head so"
      - "start table head sale"
      - "start table headsail"
      - "start table head sell"
      - "start table head sill"
    functions:
      - name: "type"
        fixedArguments:
          - "<th>"
  - name: "finish table head cell"
    description: >-
      Types &lt;/th&gt;.
    alternates:
      - "finish table head so"
      - "finish table head sale"
      - "finish table headsail"
      - "finish table head sell"
      - "finish table head sill"
    functions:
      - name: "type"
        fixedArguments:
          - "</th>"
  - name: "start table cell"
    description: >-
      Types &lt;td&gt;.
    alternates:
      - "start table so"
      - "start table sale"
      - "start table sell"
    functions:
      - name: "type"
        fixedArguments:
          - "<td>"
  - name: "finish table cell"
    description: >-
      Types &lt;/td&gt;.
    alternates:
      - "finished table so"
      - "finished table sale"
      - "finished table sell"
      - "finished table cell"
      - "finish table so"
      - "finish table sale"
      - "finish table sell"
    functions:
      - name: "type"
        fixedArguments:
          - "</td>"
  - name: "insert anchor"
    description: >-
      Types &lt;a href=""&gt;&lt;/a&gt;.
    functions:
      - name: "type"
        fixedArguments:
          - '<a href=""></a>'
      - name: "keyRepeat"
        fixedArguments:
          - "left"
          - "6"
  - name: "insert image"
    description: >-
      Types &lt;img&gt;.
    functions:
      - name: "type"
        fixedArguments:
          - '<img class=""'
      - name: "keyPress"
        fixedArguments:
          - "enter"
      - name: "type"
        fixedArguments:
          - 'src=""'
      - name: "keyPress"
        fixedArguments:
          - "enter"
      - name: "type"
        fixedArguments:
          - 'alt="">'
  - name: "start division"
    description: >-
      Types &lt;div&gt;.
    alternates:
      - "star division"
    functions:
      - name: "type"
        fixedArguments:
          - "<div>"
  - name: "finish division"
    description: >-
      Types &lt;/div&gt;.
    functions:
      - name: "type"
        fixedArguments:
          - "</div>"
  - name: "start paragraph"
    description: >-
      Types &lt;p&gt;.
    alternates:
      - "start a paragraph"
      - "star a paragraph"
      - "star to paragraph"
      - "start to paragraph"
      - "star paragraph"
    functions:
      - name: "type"
        fixedArguments:
          - "<p>"
  - name: "finish paragraph"
    description: >-
      Types &lt;/p&gt;.
    functions:
      - name: "type"
        fixedArguments:
          - "</p>"
  - name: "start preformat"
    description: >-
      Types &lt;pre&gt;.
    alternates:
      - "start pre format"
      - "star prix format"
      - "star pre format"
    functions:
      - name: "type"
        fixedArguments:
          - "<pre>"
  - name: "finish preformat"
    description: >-
      Types &lt;/pre&gt;.
    alternates:
      - "finish pre format"
    functions:
      - name: "type"
        fixedArguments:
          - "</pre>"
  - name: "start span"
    description: >-
      Types &lt;span class=""&gt;.
    alternates:
      - "star span"
    functions:
      - name: "type"
        fixedArguments:
          - '<span class="">'
      - name: "keyRepeat"
        fixedArguments:
          - "left"
          - "2"
  - name: "finish span"
    description: >-
      Types &lt;/span&gt;.
    functions:
      - name: "type"
        fixedArguments:
          - "</span>"
  - name: "start variable"
    description: >-
      Types &lt;var&gt;.
    alternates:
      - "star variable"
    functions:
      - name: "type"
        fixedArguments:
          - "<var>"
  - name: "finish variable"
    description: >-
      Types &lt;/var&gt;.
    functions:
      - name: "type"
        fixedArguments:
          - "</var>"
  - name: "start list"
    description: >-
      Types &lt;ul&gt;.
    alternates:
      - "star list"
    functions:
      - name: "type"
        fixedArguments:
          - "<ul>"
  - name: "finish list"
    description: >-
      Types &lt;/ul&gt;.
    functions:
      - name: "type"
        fixedArguments:
          - "</ul>"
  - name: "start ordered list"
    description: >-
      Types &lt;ol&gt;.
    alternates:
      - "star ordered list"
    functions:
      - name: "type"
        fixedArguments:
          - "<ol>"
  - name: "finish ordered list"
    description: >-
      Types &lt;/ol&gt;.
    functions:
      - name: "type"
        fixedArguments:
          - "</ol>"
  - name: "start list item"
    description: >-
      Types &lt;li&gt;.
    alternates:
      - "star list item"
    functions:
      - name: "type"
        fixedArguments:
          - "<li>"
  - name: "finish list item"
    description: >-
      Types &lt;/li&gt;.
    functions:
      - name: "type"
        fixedArguments:
          - "</li>"
  - name: "start bold"
    description: >-
      Types &lt;b&gt;.
    alternates:
      - "star bold"
    functions:
      - name: "type"
        fixedArguments:
          - "<b>"
  - name: "finish bold"
    description: >-
      Types &lt;/b&gt;.
    functions:
      - name: "type"
        fixedArguments:
          - "</b>"
  - name: "start emphasis"
    description: >-
      Types &lt;em&gt;.
    alternates:
      - "star emphasis"
    functions:
      - name: "type"
        fixedArguments:
          - "<em>"
  - name: "finish emphasis"
    description: >-
      Types &lt;/em&gt;.
    functions:
      - name: "type"
        fixedArguments:
          - "</em>"
  - name: "start comment"
    description: >-
      Types &lt;!--.
    alternates:
      - "star comment"
    functions:
      - name: "type"
        fixedArguments:
          - "<!--"
  - name: "finish comment"
    description: >-
      Types --&gt;.
    functions:
      - name: "type"
        fixedArguments:
          - "-->"
